# W32_TextAttribNote Struct Reference

`#include <W32_Allocator.hxx>`

Inheritance diagram for W32_TextAttribNote:

[legend]

## Public Member Functions

| W32_TextAttribNote (HFONT, COLORREF, double=0.0, double=1.0, double=1.0, BOOL=FALSE, BOOL=FALSE, BOOL=FALSE)
virtual | ~W32_TextAttribNote ()
virtual void | Play (BOOL=TRUE)

## Data Fields

COLORREF | myColor
HFONT | myFont
DWORD | myFlags
double | mySlant
double | myHScale
double | myVScale

## Constructor & Destructor Documentation

W32_TextAttribNote::W32_TextAttribNote | ( | HFONT | ,
|  | COLORREF | ,
|  | double | = `0.0`,
|  | double | = `1.0`,
|  | double | = `1.0`,
|  | BOOL | = `FALSE`,
|  | BOOL | = `FALSE`,
|  | BOOL | = `FALSE`
| ) |

virtual W32_TextAttribNote::~W32_TextAttribNote | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void W32_TextAttribNote::Play | ( | BOOL | = `TRUE` | ) | `[virtual]`

| Implements W32_Note.

## Field Documentation

COLORREF W32_TextAttribNote::myColor

DWORD W32_TextAttribNote::myFlags

HFONT W32_TextAttribNote::myFont

double W32_TextAttribNote::myHScale

double W32_TextAttribNote::mySlant

double W32_TextAttribNote::myVScale

The documentation for this struct was generated from the following file:

- W32_Allocator.hxx